Subject: Re: bug#38050: Guix fails during downloading a substitute of google-brotli, throws an ugly backtrace

From: Jan <[email-masked]>
Date: Sun, 10 Nov 2019 18:13:55 +0100

On Sun, 10 Nov 2019 17:24:15 +0100
Ludovic Courtès <[email-masked]> wrote:

> Hi Jan,
> 
> How reproducible is it?  100%?
> 
I tried only two times by now. It doesn't happen when I run
"./pre-inst-env guix build google-brotli" though. So reproducibility is
equal to 100% with 25% chance for error :) (while building Jami).

> 
> Could you try again, this time stracing the process with:
> 
>   ./pre-inst-env strace -o /tmp/log -s 300 guix build jami
> 
> ?
Yes, but after I finish compiling all Jami dependencies and this takes
some time on core 2 duo. If you didn't know - compiling libreoffice
takes 7 hours, llvm - 3h, mariadb - 2h, fun!

> Once you’ve reproduced the failure above, could you send /tmp/log (or
> the tail of that file)?
Okay.

> Thanks in advance!
> Ludo’.

Jan Wielkiewicz